Skip to main content
GET
Retrieve Related Operations
Supports StreamingThis endpoint supports streaming. To read more about this, visit the streaming section.

Path Parameters

claimable_balance_id
string
required

A unique identifier for this claimable balance.

Query Parameters

cursor
integer

A number that points to a specific location in a collection of responses and is pulled from the paging_token value of a record.

Example:

6606617478959105

order
enum<string>

A designation of the order in which records should appear. Options include asc (ascending) or desc (descending). If this argument isn’t set, it defaults to asc.

Available options:
asc,
desc
limit
integer

The maximum number of records returned. The limit can range from 1 to 200 - an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 10.

Example:

10

include_failed
enum<boolean>

Set to true to include failed operations in results. Options include true and false.

Available options:
true,
false
join
enum<string>

Set to transactions to include the transactions which created each of the operations in the response.

Available options:
transactions

Response

200 - application/json

Success

id
string
required
paging_token
string
required
transaction_successful
boolean
required
source_account
string
required
Pattern: G[A-Z0-9]{55}
type
string
required
Example:

"create_account"

type_i
number
required
Example:

0

created_at
string
required
transaction_hash
string
required
starting_balance
string
required
funder
string
required
Pattern: G[A-Z0-9]{55}
account
string
required
Pattern: G[A-Z0-9]{55}